Share via


Jobs - Disable Job

Disables the specified Job, preventing new Tasks from running.
The Batch Service immediately moves the Job to the disabling state. Batch then uses the disableTasks parameter to determine what to do with the currently running Tasks of the Job. The Job remains in the disabling state until the disable operation is completed and all Tasks have been dealt with according to the disableTasks option; the Job then moves to the disabled state. No new Tasks are started under the Job until it moves back to active state. If you try to disable a Job that is in any state other than active, disabling, or disabled, the request fails with status code 409.

POST {endpoint}/jobs/{jobId}/disable?api-version=2025-06-01
POST {endpoint}/jobs/{jobId}/disable?api-version=2025-06-01&timeOut={timeOut}

URI Parameters

Name In Required Type Description
endpoint
path True

string (uri)

Batch account endpoint (for example: https://batchaccount.eastus2.batch.azure.com).

jobId
path True

string

The ID of the Job to disable.

api-version
query True

string

minLength: 1

The API version to use for this operation.

timeOut
query

integer (int32)

The maximum time that the server can spend processing the request, in seconds. The default is 30 seconds. If the value is larger than 30, the default will be used instead.".

Request Header

Media Types: "application/json; odata=minimalmetadata"

Name Required Type Description
client-request-id

string

The caller-generated request identity, in the form of a GUID with no decoration such as curly braces, e.g. 9C4D50EE-2D56-4CD3-8152-34347DC9F2B0.

return-client-request-id

boolean

Whether the server should return the client-request-id in the response.

ocp-date

string (date-time-rfc7231)

The time the request was issued. Client libraries typically set this to the current system clock time; set it explicitly if you are calling the REST API directly.

If-Modified-Since

string (date-time-rfc7231)

A timestamp indicating the last modified time of the resource known to the client. The operation will be performed only if the resource on the service has been modified since the specified time.

If-Unmodified-Since

string (date-time-rfc7231)

A timestamp indicating the last modified time of the resource known to the client. The operation will be performed only if the resource on the service has not been modified since the specified time.

If-Match

string

An ETag value associated with the version of the resource known to the client. The operation will be performed only if the resource's current ETag on the service exactly matches the value specified by the client.

If-None-Match

string

An ETag value associated with the version of the resource known to the client. The operation will be performed only if the resource's current ETag on the service does not match the value specified by the client.

Request Body

Media Types: "application/json; odata=minimalmetadata"

Name Required Type Description
disableTasks True

DisableBatchJobOption

What to do with active Tasks associated with the Job.

Responses

Name Type Description
202 Accepted

The request has been accepted for processing, but processing has not yet completed.

Headers

  • DataServiceId: string
  • ETag: string
  • Last-Modified: string
  • client-request-id: string
  • request-id: string
Other Status Codes

BatchError

An unexpected error response.

Security

OAuth2Auth

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/v2.0/authorize

Scopes

Name Description
https://batch.core.windows.net//.default

Examples

Job disable

Sample request

POST {endpoint}/jobs/jobId/disable?api-version=2025-06-01



{
  "disableTasks": "terminate"
}

Sample response

Definitions

Name Description
BatchError

An error response received from the Azure Batch service.

BatchErrorDetail

An item of additional information included in an Azure Batch error response.

BatchErrorMessage

An error message received in an Azure Batch error response.

BatchJobDisableOptions

Parameters for disabling an Azure Batch Job.

DisableBatchJobOption

DisableBatchJobOption enums

BatchError

An error response received from the Azure Batch service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

message

BatchErrorMessage

A message describing the error, intended to be suitable for display in a user interface.

values

BatchErrorDetail[]

A collection of key-value pairs containing additional details about the error.

BatchErrorDetail

An item of additional information included in an Azure Batch error response.

Name Type Description
key

string

An identifier specifying the meaning of the Value property.

value

string

The additional information included with the error response.

BatchErrorMessage

An error message received in an Azure Batch error response.

Name Type Description
lang

string

The language code of the error message.

value

string

The text of the message.

BatchJobDisableOptions

Parameters for disabling an Azure Batch Job.

Name Type Description
disableTasks

DisableBatchJobOption

What to do with active Tasks associated with the Job.

DisableBatchJobOption

DisableBatchJobOption enums

Value Description
requeue

Terminate running Tasks and requeue them. The Tasks will run again when the Job is enabled.

terminate

Terminate running Tasks. The Tasks will be completed with failureInfo indicating that they were terminated, and will not run again.

wait

Allow currently running Tasks to complete.